{"items":[{"type":"link","label":"Dynamic Monetization APIs","link":"/products/dynamicmonetization/apis/openapi-spec","routeSlug":"/products/dynamicmonetization/apis/openapi-spec","content":{"contentType":"overview","meta":{"name":"Dynamic Monetization APIs"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"openapi-spec.json","url":"/_bundle/products/dynamicmonetization/apis/openapi-spec.json?download"},{"kind":"download","label":"openapi-spec.yaml","url":"/_bundle/products/dynamicmonetization/apis/openapi-spec.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID","description":"Site ID for your Dynamic Monetization instance."},"domainExtension":{"default":"com","description":"Domain extension for your Dynamic Monetization instance."}}}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"Dynamic Monetization APIs (v1.1)","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":"APIs to perform Dynamic Monetization activity."}],"sectionId":"/products/dynamicmonetization/apis/openapi-spec"}],"sectionId":"/products/dynamicmonetization/apis/openapi-spec"}]}]}},{"type":"group","label":"Authorization","link":"/products/dynamicmonetization/apis/openapi-spec/authorization","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/authorization","items":[{"label":"Save a producer administration key","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/products/dynamicmonetization/apis/openapi-spec/authorization/producer-admin-key-upload","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/authorization/producer-admin-key-upload","metadata":{"seo":{"title":"Save a producer administration key","description":"Adds or updates a public key which can be used by a producer user to make Dynamic Monetization API requests."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"producer-admin-key-upload","name":"Save a producer administration key","isWebhook":false,"pointer":"/paths/~1api~1v1.1~1administration-keys/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Save a producer administration key","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Adds or updates a public key which can be used by a producer user to make Dynamic Monetization API requests."},{"nodeType":"security","requirements":[{"schemes":[{"name":"AdministrationAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named producer admin public key. May be used by a producer user for elevated API access."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"ADMIN\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/AuthKeyRequest"}},"schemaId":"components/schemas/AuthKeyRequest","pointer":"/paths/~1api~1v1.1~1administration-keys/put/requestBody","description":"The request payload."}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/api/v1.1/administration-keys","servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"AdministrationAccess","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/AuthKeyRequest"}},"responseCodes":["200","400","401"],"pointer":"/api/v1.1/administration-keys","href":"authorization/producer-admin-key-upload","openApiOperationId":"producer-admin-key-upload","summary":"Save a producer administration key"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"schemaId":"components/schemas/AuthKeyRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/AuthKeyRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK. The request succeeded in its entirety."},{"code":"400","description":"Bad Request. Check the request for any errors in the input."},{"code":"401","description":"Unauthorized. Check authentication details."}],"pointer":"/paths/~1api~1v1.1~1administration-keys/put/responses"}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/authorization/producer-admin-key-upload"}],"panels":[]}]},"httpPath":"/api/v1.1/administration-keys"},{"label":"Delete a producer administration key","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/products/dynamicmonetization/apis/openapi-spec/authorization/delete-producer-admin-key","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/authorization/delete-producer-admin-key","metadata":{"seo":{"title":"Delete a producer administration key","description":"Deletes a specified producer administration key. Pass the ID of the key that you want to delete as a path parameter. It may take up to 10 minutes for the key to be fully removed after calling the API."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"delete-producer-admin-key","name":"Delete a producer administration key","isWebhook":false,"pointer":"/paths/~1api~1v1.1~1administration-keys~1{keyId}/delete","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Delete a producer administration key","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Deletes a specified producer administration key. Pass the ID of the key that you want to delete as a path parameter. It may take up to 10 minutes for the key to be fully removed after calling the API."},{"nodeType":"security","requirements":[{"schemes":[{"name":"AdministrationAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named producer admin public key. May be used by a producer user for elevated API access."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"ADMIN\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"keyId","in":"path","schemaId":"schema_117","description":"Public key ID.","required":true}],"pointer":"/paths/~1api~1v1.1~1administration-keys~1{keyId}/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/api/v1.1/administration-keys/{keyId}","servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"parameters":{"path":[{"name":"keyId","in":"path","required":true,"schemaId":"schema_117"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"AdministrationAccess","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["200","400","401","403","404"],"pointer":"/api/v1.1/administration-keys/{keyId}","href":"authorization/delete-producer-admin-key","openApiOperationId":"delete-producer-admin-key","summary":"Delete a producer administration key"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK. The request succeeded in its entirety."},{"code":"400","description":"Bad Request. Check the request for any errors in the input."},{"code":"401","description":"Unauthorized. Check authentication details."},{"code":"403","description":"Forbidden. It is not possible to delete the last administration key. There must always be at least one key present."},{"code":"404","description":"Resource not found. The requested resource is not available."}],"pointer":"/paths/~1api~1v1.1~1administration-keys~1{keyId}/delete/responses"}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/authorization/delete-producer-admin-key"}],"panels":[]}]},"httpPath":"/api/v1.1/administration-keys/{keyId}"},{"label":"Save a client key","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/products/dynamicmonetization/apis/openapi-spec/authorization/client-key-upload","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/authorization/client-key-upload","metadata":{"seo":{"title":"Save a client key","description":"Adds or updates a public key which can be used by a client user to make Dynamic Monetization API requests."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"client-key-upload","name":"Save a client key","isWebhook":false,"pointer":"/paths/~1api~1v1.1~1client-keys/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Save a client key","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Adds or updates a public key which can be used by a client user to make Dynamic Monetization API requests."},{"nodeType":"security","requirements":[{"schemes":[{"name":"AdministrationAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named producer admin public key. May be used by a producer user for elevated API access."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"ADMIN\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/AuthKeyRequest"}},"schemaId":"components/schemas/AuthKeyRequest","pointer":"/paths/~1api~1v1.1~1client-keys/put/requestBody","description":"The request payload."}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/api/v1.1/client-keys","servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"AdministrationAccess","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/AuthKeyRequest"}},"responseCodes":["200","400","401"],"pointer":"/api/v1.1/client-keys","href":"authorization/client-key-upload","openApiOperationId":"client-key-upload","summary":"Save a client key"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"schemaId":"components/schemas/AuthKeyRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/AuthKeyRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK. The request succeeded in its entirety."},{"code":"400","description":"Bad Request. Check the request for any errors in the input."},{"code":"401","description":"Unauthorized. Check authentication details."}],"pointer":"/paths/~1api~1v1.1~1client-keys/put/responses"}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/authorization/client-key-upload"}],"panels":[]}]},"httpPath":"/api/v1.1/client-keys"},{"label":"Delete a client key","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/products/dynamicmonetization/apis/openapi-spec/authorization/delete-client-key","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/authorization/delete-client-key","metadata":{"seo":{"title":"Delete a client key","description":"Deletes a specified client key. Pass the ID of the key that you want to delete as a path parameter. It may take up to 10 minutes for the key to be fully removed after calling the API."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"delete-client-key","name":"Delete a client key","isWebhook":false,"pointer":"/paths/~1api~1v1.1~1client-keys~1{keyId}/delete","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Delete a client key","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Deletes a specified client key. Pass the ID of the key that you want to delete as a path parameter. It may take up to 10 minutes for the key to be fully removed after calling the API."},{"nodeType":"security","requirements":[{"schemes":[{"name":"AdministrationAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named producer admin public key. May be used by a producer user for elevated API access."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"ADMIN\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"keyId","in":"path","schemaId":"schema_117","description":"Public key ID.","required":true}],"pointer":"/paths/~1api~1v1.1~1client-keys~1{keyId}/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/api/v1.1/client-keys/{keyId}","servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"parameters":{"path":[{"name":"keyId","in":"path","required":true,"schemaId":"schema_117"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"AdministrationAccess","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["200","400","401","404"],"pointer":"/api/v1.1/client-keys/{keyId}","href":"authorization/delete-client-key","openApiOperationId":"delete-client-key","summary":"Delete a client key"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK. The request succeeded in its entirety."},{"code":"400","description":"Bad Request. Check the request for any errors in the input."},{"code":"401","description":"Unauthorized. Check authentication details."},{"code":"404","description":"Resource not found. The requested resource is not available."}],"pointer":"/paths/~1api~1v1.1~1client-keys~1{keyId}/delete/responses"}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/authorization/delete-client-key"}],"panels":[]}]},"httpPath":"/api/v1.1/client-keys/{keyId}"},{"label":"Get a list of public keys","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/products/dynamicmonetization/apis/openapi-spec/authorization/get-public-keys","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/authorization/get-public-keys","metadata":{"seo":{"title":"Get a list of public keys","description":"Gets a list of administration and client public keys."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"get-public-keys","name":"Get a list of public keys","isWebhook":false,"pointer":"/paths/~1api~1v1.1~1public-keys/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a list of public keys","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Gets a list of administration and client public keys."},{"nodeType":"security","requirements":[{"schemes":[{"name":"AdministrationAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named producer admin public key. May be used by a producer user for elevated API access."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"ADMIN\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[]}]}]}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"next","in":"query","schemaId":"schema_118","description":"Enter the next page value returned by the response to the previous GET /public-keys request to get the next batch of public keys."},{"name":"size","in":"query","schemaId":"schema_119","description":"Number of keys to fetch."}],"pointer":"/paths/~1api~1v1.1~1public-keys/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/v1.1/public-keys","servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"parameters":{"path":[],"query":[{"name":"next","in":"query","required":false,"schemaId":"schema_118"},{"name":"size","in":"query","required":false,"schemaId":"schema_119"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"AdministrationAccess","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["200","400","401"],"pointer":"/api/v1.1/public-keys","href":"authorization/get-public-keys","openApiOperationId":"get-public-keys","summary":"Get a list of public keys"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK. The request succeeded in its entirety.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/KeyPageInfoResponse"}},"schemaId":"components/schemas/KeyPageInfoResponse"},{"code":"400","description":"Bad Request. Check the request for any errors in the input."},{"code":"401","description":"Unauthorized. Check authentication details."}],"pointer":"/paths/~1api~1v1.1~1public-keys/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/KeyPageInfoResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/KeyPageInfoResponse"}}},{"code":"400"},{"code":"401"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/authorization/get-public-keys"}],"panels":[]}]},"httpPath":"/api/v1.1/public-keys"}],"content":{"contentType":"group","meta":{"name":"Authorization"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Authorization","showPageActions":true},{"nodeType":"markdoc","content":"APIs to manage authorization keys."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/v1.1/administration-keys","summary":"Save a producer administration key","prefix":{"name":"put","color":"put"},"badges":[],"link":"/authorization/producer-admin-key-upload","deprecated":false},{"title":"/api/v1.1/administration-keys/{keyId}","summary":"Delete a producer administration key","prefix":{"name":"delete","color":"delete"},"badges":[],"link":"/authorization/delete-producer-admin-key","deprecated":false},{"title":"/api/v1.1/client-keys","summary":"Save a client key","prefix":{"name":"put","color":"put"},"badges":[],"link":"/authorization/client-key-upload","deprecated":false},{"title":"/api/v1.1/client-keys/{keyId}","summary":"Delete a client key","prefix":{"name":"delete","color":"delete"},"badges":[],"link":"/authorization/delete-client-key","deprecated":false},{"title":"/api/v1.1/public-keys","summary":"Get a list of public keys","prefix":{"name":"get","color":"get"},"badges":[],"link":"/authorization/get-public-keys","deprecated":false}]}]}]}]}},{"type":"group","label":"Instances","link":"/products/dynamicmonetization/apis/openapi-spec/instances","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/instances","items":[{"label":"Get a list of instances","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/products/dynamicmonetization/apis/openapi-spec/instances/listinstances","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/instances/listinstances","metadata":{"seo":{"title":"Get a list of instances","description":"Returns information about instances owned by a producer's customer accounts. Each customer account may have one or more instances, and each instance serves exactly one customer account."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"listInstances","name":"Get a list of instances","isWebhook":false,"pointer":"/paths/~1provisioning~1api~1v1.1~1instances/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a list of instances","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Returns information about instances owned by a producer's customer accounts.  \nEach customer account may have one or more instances, and each instance serves \nexactly one customer account.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"AdministrationAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named producer admin public key. May be used by a producer user for elevated API access."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"ADMIN\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[]}]}]}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"next","in":"query","schemaId":"schema_120","description":"Enter the next page value returned by the response to the previous GET /instances request to get the next page of instances."},{"name":"size","in":"query","schemaId":"schema_120","description":"Enter the number of items to return. (This number of items is not guaranteed.)"},{"name":"accountId","in":"query","schemaId":"schema_117","description":"Find instances belonging to this account ID. This query parameter must be used in combination with the 'default' query parameter."},{"name":"default","in":"query","schemaId":"schema_121","description":"Find the default instance for the given account ID. Must be set to 'true'."}],"pointer":"/paths/~1provisioning~1api~1v1.1~1instances/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/provisioning/api/v1.1/instances","servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"parameters":{"path":[],"query":[{"name":"next","in":"query","required":false,"schemaId":"schema_120"},{"name":"size","in":"query","required":false,"schemaId":"schema_120"},{"name":"accountId","in":"query","required":false,"schemaId":"schema_117"},{"name":"default","in":"query","required":false,"schemaId":"schema_121"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"AdministrationAccess","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["200","400","401","403","404","500"],"pointer":"/provisioning/api/v1.1/instances","href":"instances/listinstances","openApiOperationId":"listInstances","summary":"Get a list of instances"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"List of instances was successfully returned.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/PageInfoResponse"}},"schemaId":"components/schemas/PageInfoResponse"},{"code":"400","description":"Bad Request. Check the request for any errors in the input."},{"code":"401","description":"Unauthorized. Check authentication details."},{"code":"403","description":"Forbidden. The user is forbidden from performing this operation. Check user permissions."},{"code":"404","description":"Resource not found. The requested resource is not available."},{"code":"500","description":"Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response."}],"pointer":"/paths/~1provisioning~1api~1v1.1~1instances/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/PageInfoResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/PageInfoResponse"}}},{"code":"400"},{"code":"401"},{"code":"403"},{"code":"404"},{"code":"500"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/instances/listinstances"}],"panels":[]}]},"httpPath":"/provisioning/api/v1.1/instances"},{"label":"Create an instance","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/products/dynamicmonetization/apis/openapi-spec/instances/addinstance","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/instances/addinstance","metadata":{"seo":{"title":"Create an instance","description":"Creates a new instance. Each customer account may have one or more instances, and each instance serves exactly one customer account."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"addInstance","name":"Create an instance","isWebhook":false,"pointer":"/paths/~1provisioning~1api~1v1.1~1instances/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create an instance","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Creates a new instance. Each customer account may have one or more instances, \nand each instance serves exactly one customer account.\n\nThis method is intended for use if you do not use FlexNet Operations as your back office, \nso that you can configure your upstream system (e.g. a CRM) to create instances for your accounts.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"AdministrationAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named producer admin public key. May be used by a producer user for elevated API access."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"ADMIN\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/Instance"}},"schemaId":"components/schemas/Instance","pointer":"/paths/~1provisioning~1api~1v1.1~1instances/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/provisioning/api/v1.1/instances","servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"AdministrationAccess","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/Instance"}},"responseCodes":["200","400","401","403","500"],"pointer":"/provisioning/api/v1.1/instances","href":"instances/addinstance","openApiOperationId":"addInstance","summary":"Create an instance"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"schemaId":"components/schemas/Instance","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/Instance"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successfully created an instance","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Instance"}},"schemaId":"components/schemas/Instance"},{"code":"400","description":"Bad Request. Check the request for any errors in the input."},{"code":"401","description":"Unauthorized. Check authentication details."},{"code":"403","description":"Forbidden. The user is forbidden from performing this operation. Check user permissions."},{"code":"500","description":"Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response."}],"pointer":"/paths/~1provisioning~1api~1v1.1~1instances/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/Instance","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Instance"}}},{"code":"400"},{"code":"401"},{"code":"403"},{"code":"500"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/instances/addinstance"}],"panels":[]}]},"httpPath":"/provisioning/api/v1.1/instances"},{"label":"Get instance by instance ID","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/products/dynamicmonetization/apis/openapi-spec/instances/getinstancebyid","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/instances/getinstancebyid","metadata":{"seo":{"title":"Get instance by instance ID","description":"Returns information about a specific instance. Pass the instance ID for which you require information as a path parameter."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getInstanceById","name":"Get instance by instance ID","isWebhook":false,"pointer":"/paths/~1provisioning~1api~1v1.1~1instances~1{instanceId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get instance by instance ID","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Returns information about a specific instance. Pass the instance ID for which you require information as a path parameter.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"AdministrationAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named producer admin public key. May be used by a producer user for elevated API access."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"ADMIN\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"instanceId","in":"path","schemaId":"schema_122","description":"The UUID of the Dynamic Monetization instance.","required":true}],"pointer":"/paths/~1provisioning~1api~1v1.1~1instances~1{instanceId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/provisioning/api/v1.1/instances/{instanceId}","servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"parameters":{"path":[{"name":"instanceId","in":"path","required":true,"schemaId":"schema_122"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"AdministrationAccess","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["200","401","404"],"pointer":"/provisioning/api/v1.1/instances/{instanceId}","href":"instances/getinstancebyid","openApiOperationId":"getInstanceById","summary":"Get instance by instance ID"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"The instance was retrieved","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Instance"}},"schemaId":"components/schemas/Instance"},{"code":"401","description":"Unauthorized. Check authentication details."},{"code":"404","description":"Resource not found. The requested resource is not available."}],"pointer":"/paths/~1provisioning~1api~1v1.1~1instances~1{instanceId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/Instance","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Instance"}}},{"code":"401"},{"code":"404"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/instances/getinstancebyid"}],"panels":[]}]},"httpPath":"/provisioning/api/v1.1/instances/{instanceId}"}],"content":{"contentType":"group","meta":{"name":"Instances"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Instances","showPageActions":true},{"nodeType":"markdoc","content":"APIs to manage Dynamic Monetization instances, which host the line items belonging to customers."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/provisioning/api/v1.1/instances","summary":"Get a list of instances","prefix":{"name":"get","color":"get"},"badges":[],"link":"/instances/listinstances","deprecated":false},{"title":"/provisioning/api/v1.1/instances","summary":"Create an instance","prefix":{"name":"post","color":"post"},"badges":[],"link":"/instances/addinstance","deprecated":false},{"title":"/provisioning/api/v1.1/instances/{instanceId}","summary":"Get instance by instance ID","prefix":{"name":"get","color":"get"},"badges":[],"link":"/instances/getinstancebyid","deprecated":false}]}]}]}]}},{"type":"group","label":"Rate Tables","link":"/products/dynamicmonetization/apis/openapi-spec/rate-tables","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/rate-tables","items":[{"label":"Create a rate table","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/products/dynamicmonetization/apis/openapi-spec/rate-tables/postratetables","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/rate-tables/postratetables","metadata":{"seo":{"title":"Create a rate table","description":"Creates a new rate table."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"postRateTables","name":"Create a rate table","isWebhook":false,"pointer":"/paths/~1provisioning~1api~1v1.1~1rate-tables/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create a rate table","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Creates a new rate table.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"AdministrationAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named producer admin public key. May be used by a producer user for elevated API access."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"ADMIN\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/RateTable"}},"schemaId":"components/schemas/RateTable","pointer":"/paths/~1provisioning~1api~1v1.1~1rate-tables/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/provisioning/api/v1.1/rate-tables","servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"AdministrationAccess","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/RateTable"}},"responseCodes":["201","400","401","403","409","500"],"pointer":"/provisioning/api/v1.1/rate-tables","href":"rate-tables/postratetables","openApiOperationId":"postRateTables","summary":"Create a rate table"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"schemaId":"components/schemas/RateTable","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/RateTable"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"201","description":"Rate table was successfully saved.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_123"}},"schemaId":"schema_123"},{"code":"400","description":"Bad Request. Check the request for any errors in the input."},{"code":"401","description":"Unauthorized. Check authentication details."},{"code":"403","description":"Forbidden. The user is forbidden from performing this operation. Check user permissions."},{"code":"409","description":"Another rate table with the same version and series exists.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_124"}},"schemaId":"schema_124"},{"code":"500","description":"Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response."}],"pointer":"/paths/~1provisioning~1api~1v1.1~1rate-tables/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"201","schemaId":"schema_123","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_123"}}},{"code":"400"},{"code":"401"},{"code":"403"},{"code":"409","schemaId":"schema_124","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_124"}}},{"code":"500"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/rate-tables/postratetables"}],"panels":[]}]},"httpPath":"/provisioning/api/v1.1/rate-tables"},{"label":"Get all rate tables","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/products/dynamicmonetization/apis/openapi-spec/rate-tables/getratetables","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/rate-tables/getratetables","metadata":{"seo":{"title":"Get all rate tables","description":"Gets all the rate tables, whether the effective time of the rate table has been reached or not."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getRateTables","name":"Get all rate tables","isWebhook":false,"pointer":"/paths/~1provisioning~1api~1v1.1~1rate-tables/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get all rate tables","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Gets all the rate tables, whether the effective time of the rate table has been reached or not.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"AdministrationAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named producer admin public key. May be used by a producer user for elevated API access."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"ADMIN\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[]}]}]}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"series","in":"query","schemaId":"schema_117","description":"Filter rate tables by series name. If provided, only rate tables matching this series will be returned. An empty string will match rate tables with an empty series value.\n"},{"name":"latest","in":"query","schemaId":"schema_121","description":"If set to 'true', returns the latest effective rate table. If set to 'false' or not provided, returns all matching rate tables.\n"}],"pointer":"/paths/~1provisioning~1api~1v1.1~1rate-tables/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/provisioning/api/v1.1/rate-tables","servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"parameters":{"path":[],"query":[{"name":"series","in":"query","required":false,"schemaId":"schema_117"},{"name":"latest","in":"query","required":false,"schemaId":"schema_121"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"AdministrationAccess","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["200","401","500"],"pointer":"/provisioning/api/v1.1/rate-tables","href":"rate-tables/getratetables","openApiOperationId":"getRateTables","summary":"Get all rate tables"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Rate tables with all their details were successfully returned.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_125"}},"schemaId":"schema_125"},{"code":"401","description":"Unauthorized. Check authentication details."},{"code":"500","description":"Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response."}],"pointer":"/paths/~1provisioning~1api~1v1.1~1rate-tables/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"schema_125","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_125"}}},{"code":"401"},{"code":"500"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/rate-tables/getratetables"}],"panels":[]}]},"httpPath":"/provisioning/api/v1.1/rate-tables"},{"label":"Delete a rate table","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/products/dynamicmonetization/apis/openapi-spec/rate-tables/deleteratetables","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/rate-tables/deleteratetables","metadata":{"seo":{"title":"Delete a rate table","description":"Deletes a rate table that hasn't come into effect yet."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"deleteRateTables","name":"Delete a rate table","isWebhook":false,"pointer":"/paths/~1provisioning~1api~1v1.1~1rate-tables/delete","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Delete a rate table","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Deletes a rate table that hasn't come into effect yet.\n\nNote: Rate tables that are already in effect cannot be deleted.\n"},{"nodeType":"security","requirements":[{"schemes":[{"name":"AdministrationAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named producer admin public key. May be used by a producer user for elevated API access."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"ADMIN\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[]}]}]}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"series","in":"query","schemaId":"schema_117","description":"The series of the rate table. If not specified, only a rate table with no series would be deleted."},{"name":"version","in":"query","schemaId":"schema_117","description":"The version of the rate table.","required":true}],"pointer":"/paths/~1provisioning~1api~1v1.1~1rate-tables/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/provisioning/api/v1.1/rate-tables","servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"parameters":{"path":[],"query":[{"name":"series","in":"query","required":false,"schemaId":"schema_117"},{"name":"version","in":"query","required":true,"schemaId":"schema_117"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"AdministrationAccess","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["204","404","409"],"pointer":"/provisioning/api/v1.1/rate-tables","href":"rate-tables/deleteratetables","openApiOperationId":"deleteRateTables","summary":"Delete a rate table"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://{siteID}.flexnetoperations.{domainExtension}/dynamicmonetization","description":"Dynamic Monetization API URL","variables":{"siteID":{"default":"siteID"},"domainExtension":{"default":"com"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"204","description":"Rate table was successfully deleted."},{"code":"404","description":"Rate table does not exist."},{"code":"409","description":"Rate table is already in effect."}],"pointer":"/paths/~1provisioning~1api~1v1.1~1rate-tables/delete/responses"}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/rate-tables/deleteratetables"}],"panels":[]}]},"httpPath":"/provisioning/api/v1.1/rate-tables"}],"content":{"contentType":"group","meta":{"name":"Rate Tables"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Rate Tables","showPageActions":true},{"nodeType":"markdoc","content":"APIs to manage rate tables. Rate tables are used to define the rate of items (how many tokens are charged per item)."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/provisioning/api/v1.1/rate-tables","summary":"Create a rate table","prefix":{"name":"post","color":"post"},"badges":[],"link":"/rate-tables/postratetables","deprecated":false},{"title":"/provisioning/api/v1.1/rate-tables","summary":"Get all rate tables","prefix":{"name":"get","color":"get"},"badges":[],"link":"/rate-tables/getratetables","deprecated":false},{"title":"/provisioning/api/v1.1/rate-tables","summary":"Delete a rate table","prefix":{"name":"delete","color":"delete"},"badges":[],"link":"/rate-tables/deleteratetables","deprecated":false}]}]}]}]}},{"type":"group","label":"Line Items","link":"/products/dynamicmonetization/apis/openapi-spec/line-items","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/line-items","items":[{"label":"Get a list of line items","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/products/dynamicmonetization/apis/openapi-spec/line-items/getactivationsforinstance","routeSlug":"/products/dynamicmonetization/apis/openapi-spec/line-items/getactivationsforinstance","metadata":{"seo":{"title":"Get a list of line items","description":"Returns a list of line items mapped to instances owned by a producer's customer accounts."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getActivationsForInstance","name":"Get a list of line items","isWebhook":false,"pointer":"/paths/~1provisioning~1api~1v1.1~1instances~1{instanceId}~1line-items/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a list of line items","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Returns a list of line items mapped to instances owned by a producer's customer accounts."},{"nodeType":"security","requirements":[{"schemes":[{"name":"AdministrationAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named producer admin public key. May be used by a producer user for elevated API access."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"ADMIN\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$mdtype":"Node","type":"fence","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{\n  \"nbf\": 1691663772,\n  \"exp\": 1699652520,\n  \"iat\": 1691663773,\n  \"iss\": \"producer.org\",\n  \"cnf\": {\n            \"jwk\" : {\n              \"kid\": \"xyz-key-id\",\n              \"kty\": \"ADMIN\"\n            }\n        }\n}\n"},"children":[]}]}]}]},{"schemes":[{"name":"ClientAccess","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A JWT token signed using a private key corresponding to a named client"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"public key."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"May be used by a client, or customer user to access APIs."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Required claims:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iss: The URI of the issuing server."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"nbf: The time this token is valid after, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"exp: The time this token is valid until, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"iat: The time this token was issued, in seconds since the epoch."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"aud: A list of instance IDs that this token will allow access to."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cnf: A JSON object that contains public key identity information."},"children":[]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kid: The ID of the public key that should be used to verify this JWT."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"kty: The key type, must be \"CLIENT\"."},"children":[]}]}]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example payload"},"children":[]}]}]},{"$$m
[...]
